ServerEvents.recipes(event => {
    //Temporary Conversion
    event.shapeless(
      Item.of('mbd2:advanced_crucible'), // arg 1: output
      [ { 
        "type": "forge:nbt",
        "item": "custommachinery:custom_machine_item",
        "count": 1,
        "nbt": "{machine:\"mystian:advanced_crucible\"}"
    }
      ]
    ).id('mbd2:advanced_crucible')
    
    event.shapeless(
      Item.of('mbd2:blood_drainer'), // arg 1: output
      [ { 
        "type": "forge:nbt",
        "item": "custommachinery:custom_machine_item",
        "count": 1,
        "nbt": "{machine:\"mystian:blood_drainer\"}"
    }
      ]
    ).id('mbd2:blood_drainer')
    
    event.shapeless(
      Item.of('mbd2:spiritfire'), // arg 1: output
      [ { 
        "type": "forge:nbt",
        "item": "custommachinery:custom_machine_item",
        "count": 1,
        "nbt": "{machine:\"mystian:spiritfire\"}"
    }
      ]
    ).id('mbd2:spiritfire')



    //Advanced Crucible
    event.custom({
        "type": "aether:enchanting",
        "category": "enchanting_misc",
        "cookingtime": 250,
        "experience": 0.15,
        "ingredient": {
          "item": "eidolon:crucible"
        },
		"result": { 
            "item": "mbd2:advanced_crucible"
		}
    }).id('impostor:advanced_crucible')

    //Blood Drainer
    event.shaped({"item": "mbd2:blood_drainer"},
    ['DDD', 'DAD', 'DBD'], {
        D: 'evilcraft:dark_power_gem_block',
        A: 'minecraft:beacon',
        B: 'evilcraft:spiked_plate'
    }).id('impostor:blood_drainer')
  
    //Spiritfire Machine
    event.custom ({
        "type": "bloodmagic:altar",
        "input": {
          "item": "occultism:golden_sacrificial_bowl"
        },
        "output": {
            item: "mbd2:spiritfire"
        },
        "upgradeLevel": 4,
        "altarSyphon": 250000,
        "consumptionRate": 30,
        "drainRate": 50
    }).id('impostor:bloodaltar/spiritfire')

})